%% This file aggregates weights on the industries to the sectoral level

function psi_sectoral = sector_aggregate(psi)

psi_sectoral = zeros(21,1);

% LABOR
psi_sectoral(1) = psi(1);

% 'AGRICULTURE, FORESTRY, FISHING, AND HUNTING'
psi_sectoral(2) = psi(2) + psi(3);

% 'MINING'
psi_sectoral(3) = psi(4) + psi(5) + psi(6);

% 'UTILITIES'
psi_sectoral(4) = psi(7);

% 'CONSTRUCTION'
psi_sectoral(5) = psi(8);

% 'DURABLE GOODS'
psi_sectoral(6) = sum(psi(9:19));

% 'NONDURABLE GOODS'
psi_sectoral(7) = sum(psi(20:27));

% 'WHOLESALE TRADE'
psi_sectoral(8) = psi(28);

% 'RETAIL TRADE'
psi_sectoral(9) = sum(psi(29:32));

% 'TRANSPORTATION AND WAREHOUSING, EXCLUDING POSTAL SERVICE'
psi_sectoral(10) = sum(psi(33:40));

% 'INFORMATION'
psi_sectoral(11) = sum(psi(41:44));

% 'FINANCE AND INSURANCE'
psi_sectoral(12) = sum(psi(45:48));

% 'REAL ESTATE AND RENTAL AND LEASING'
psi_sectoral(13) = sum(psi(49:51));

% 'PROFESSIONAL AND TECHNICAL SERVICES'
psi_sectoral(14) = sum(psi(52:54));

% 'MANAGEMENT OF COMPANIES AND ENTREPRISES'
psi_sectoral(15) = psi(55);

% 'ADMINISTRATIVE AND WASTE SERVICES'
psi_sectoral(16) = psi(56) + psi(57);

% 'EDUCATIONAL SERVICES'
psi_sectoral(17) = psi(58);

% 'HEALTH CARE AND SOCIAL ASSISTANCE'
psi_sectoral(18) = sum(psi(59:62));

% 'ARTS, ENTERTAINMENT, AND RECREATION'
psi_sectoral(19) = psi(63) + psi(64);

% 'ACCOMMODATION AND FOOD SERVICES'
psi_sectoral(20) = psi(65) + psi(66);


% 'OTHER SERVICES, EXCEPT GOVERNMENT'
psi_sectoral(21) = psi(67);

psi_sectoral = psi_sectoral(psi_sectoral~=0);